/**
 * \file    stdlib.h
 * \brief   Standard library of system adaptation layer
 *
 * \par     Copyright (c) 2018 UWE Technologies Corp., Ltd. All Rights Reserved.
 * \author  James
 * \date    2018-03-05
 * \version 
 * 
 * \history 
 *  Date        Note
 *  2018-03-05  Original Creation
 * 
 */
 
#ifndef __STDLIB_H_
#define __STDLIB_H_

int abs(int);
int strtoi(const char *);
unsigned long strtoul(const char *, char **, int);
long strtol(const char *, char **, int);
void srand(unsigned int seed);
int rand(void);
unsigned int round_u32(double x);
double ln(double a);


#endif /* #ifndef __STDLIB_H_ */

